| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions | Variables
isf.c File Reference

Internal Isf library configuration. More...

`#include "isf_target.h"`
`#include "isf.h"`
`#include "version.h"`
Include dependency graph for isf.c:

Go to the source code of this file.

## Functions
isf_lib_info_t * | isf_lib_get_info (void)
| API ISF library get information. More...
void | _fw_device_info_get (device_info_t *rom_info)

## Variables
const isf_lib_info_t | gIsfLibInfo
| IPSF library version information. More...

## Detailed Description

Internal Isf library configuration.

Definition in file isf.c.

## Function Documentation

void _fw_device_info_get | ( | device_info_t * | rom_info | ) |

Definition at line 68 of file isf.c.

References device_info_t::build_code, isf_lib_info_t::buildCode, device_info_t::fw_version, isf_lib_get_info(), isf_lib_info_t::majorVersion, isf_lib_info_t::minorVersion, device_info_t::part_number, and isf_lib_info_t::partNumber.

Referenced by ci_mbox_init(), and isf_app_callback_dev_info().

Here is the call graph for this function:

Here is the caller graph for this function:

isf_lib_info_t* isf_lib_get_info | ( | void |  | ) |

API ISF library get information.

The isf_lib_get_info() function is called by an application that needs
retrieve library version and part number that the library is targeted for.

Returns
  Pointer to isf_lib_info_t structure containing the
  library information.

Errors:

Constraints:

Reentrant: No

Link Libraries:
  isf_core.lib

See also

Definition at line 34 of file isf.c.

Referenced by _fw_device_info_get().

Here is the caller graph for this function:

## Variable Documentation

const isf_lib_info_t gIsfLibInfo

Initial value:
=
{
ISF_LIB_VERSION_MAJOR,
ISF_LIB_VERSION_MINOR,
ISF_LIB_BUILD_CODE,
DEVICE_PART_NUM,
__TIME__
}
DEVICE_PART_NUM
#define DEVICE_PART_NUM
Definition: version.h:18
ISF_LIB_VERSION_MAJOR
#define ISF_LIB_VERSION_MAJOR
Definition: version.h:19
ISF_LIB_BUILD_CODE
#define ISF_LIB_BUILD_CODE
Definition: version.h:21
ISF_LIB_VERSION_MINOR
#define ISF_LIB_VERSION_MINOR
Definition: version.h:20

IPSF library version information.

Definition at line 23 of file isf.c.

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.